Package org.gradle.tooling.events.transform

## Interface TransformProgressEvent

- All Superinterfaces:
    `ProgressEvent`
  All Known Subinterfaces:
    `TransformFinishEvent`, `TransformStartEvent`

      public interface TransformProgressEvent
      extends ProgressEvent

  Root interface for all events that signal progress while executing a transform.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TransformOperationDescriptor` | `getDescriptor()` | Returns the description of the transform for which progress is reported.

    - ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

      `getDisplayName, getEventTime`

- - ### Method Detail

    - #### getDescriptor

          TransformOperationDescriptor getDescriptor()

      Returns the description of the transform for which progress is reported.
      Specified by:
        `getDescriptor` in interface `ProgressEvent`
      Returns:
        The description of the underlying transform operation.